<?php
//echo phpversion();exit;
function generateSRIHash($filePath, $hashAlgorithm = 'sha384') {
    // Check if the file exists
    if (!file_exists($filePath)) {
        throw new Exception("File not found: $filePath");
    }

    // Read the file content
    $fileContents = file_get_contents($filePath);

    // Generate the hash
    $hash = hash($hashAlgorithm, $fileContents, true);

    // Encode the hash in Base64
    $base64Hash = base64_encode($hash);

    // Return the SRI hash string
    return $hashAlgorithm . '-' . $base64Hash;
}

// Example usage
$filePath = 'jquery.datetimepicker.full.min.js';
try {
    $sriHash = generateSRIHash($filePath);
    echo "SRI Hash: $sriHash";
} catch (Exception $e) {
    echo "Error: " . $e->getMessage();
}
?>

